<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [SkillsFormulas](./bitburner.skillsformulas.md) &gt; [calculateSkill](./bitburner.skillsformulas.calculateskill.md)

## SkillsFormulas.calculateSkill() method

Calculate skill level.

<b>Signature:</b>

```typescript
calculateSkill(exp: number, skillMult?: number): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  exp | number | experience for that skill |
|  skillMult | number | Multiplier for that skill, defaults to 1. |

<b>Returns:</b>

number

The calculated skill level.

